Update the business
curl --request PATCH \
--url https://app.lobbystack.com/api/v1/business \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"timezone": "<string>",
"website_url": "<string>",
"hours": [
{
"open": "<string>",
"close": "<string>"
}
]
}
'import requests
url = "https://app.lobbystack.com/api/v1/business"
payload = {
"name": "<string>",
"timezone": "<string>",
"website_url": "<string>",
"hours": [
{
"open": "<string>",
"close": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
timezone: '<string>',
website_url: '<string>',
hours: [{open: '<string>', close: '<string>'}]
})
};
fetch('https://app.lobbystack.com/api/v1/business', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"timezone": "<string>",
"locale": "<string>",
"website_url": "<string>",
"booking_mode": "instant",
"hours": [
{
"day": "sunday",
"open": "<string>",
"close": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}Business
Update the business
Updates basic fields and opening hours. Sending hours replaces the whole week.
PATCH
/
business
Update the business
Authorizations
An API key from Settings > API keys. Scopes: business:read, business:write, calls:read, contacts:read, contacts:write, appointments:read, appointments:write, messages:read, knowledge:write, webhooks:manage.
Body
application/json
Response
OK
Show child attributes
Show child attributes
⌘I